package com.njzscloud.supervisory.voicebox.pojo.param;

import cn.hutool.extra.spring.SpringUtil;
import com.njzscloud.supervisory.config.CloudVoiceboxProperties;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

@Getter
@Setter
@ToString
@Accessors(chain = true)
public class NotifyParam {
    private String id;
    private String token;
    private String version;
    private String message;
    private String seq;
    private String trace_no;

    public NotifyParam() {
        CloudVoiceboxProperties bean = SpringUtil.getBean(CloudVoiceboxProperties.class);
        token = bean.getToken();
        version = bean.getVersion();
    }
}
